Generate a Root Cause Analysis for a test session error group
curl --request POST \
--url https://api.checklyhq.com/v1/root-cause-analyses/test-session-error-groups/{testSessionErrorGroupId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userContext": ""
}
'import requests
url = "https://api.checklyhq.com/v1/root-cause-analyses/test-session-error-groups/{testSessionErrorGroupId}"
payload = { "userContext": "" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({userContext: ''})
};
fetch('https://api.checklyhq.com/v1/root-cause-analyses/test-session-error-groups/{testSessionErrorGroupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.checklyhq.com/v1/root-cause-analyses/test-session-error-groups/{testSessionErrorGroupId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'userContext' => ''
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.checklyhq.com/v1/root-cause-analyses/test-session-error-groups/{testSessionErrorGroupId}"
payload := strings.NewReader("{\n \"userContext\": \"\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.checklyhq.com/v1/root-cause-analyses/test-session-error-groups/{testSessionErrorGroupId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"userContext\": \"\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.checklyhq.com/v1/root-cause-analyses/test-session-error-groups/{testSessionErrorGroupId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"userContext\": \"\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"status": "PENDING"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Bad Token",
"attributes": {}
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Payment Required",
"attributes": {}
}{
"statusCode": 403,
"error": "Forbidden",
"message": "Forbidden",
"errorCode": "ERR_ACCOUNT_NOT_ACCESSIBLE"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Not Found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Too Many Requests",
"attributes": {}
}Rocky AI
Generate a Root Cause Analysis for a test session error group
Asynchronously generates a root cause analysis for a specific test session error group. Returns an id which you can use to poll the /root-cause-analyses/{id} endpoint.
POST
/
v1
/
root-cause-analyses
/
test-session-error-groups
/
{testSessionErrorGroupId}
Generate a Root Cause Analysis for a test session error group
curl --request POST \
--url https://api.checklyhq.com/v1/root-cause-analyses/test-session-error-groups/{testSessionErrorGroupId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userContext": ""
}
'import requests
url = "https://api.checklyhq.com/v1/root-cause-analyses/test-session-error-groups/{testSessionErrorGroupId}"
payload = { "userContext": "" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({userContext: ''})
};
fetch('https://api.checklyhq.com/v1/root-cause-analyses/test-session-error-groups/{testSessionErrorGroupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.checklyhq.com/v1/root-cause-analyses/test-session-error-groups/{testSessionErrorGroupId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'userContext' => ''
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.checklyhq.com/v1/root-cause-analyses/test-session-error-groups/{testSessionErrorGroupId}"
payload := strings.NewReader("{\n \"userContext\": \"\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.checklyhq.com/v1/root-cause-analyses/test-session-error-groups/{testSessionErrorGroupId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"userContext\": \"\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.checklyhq.com/v1/root-cause-analyses/test-session-error-groups/{testSessionErrorGroupId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"userContext\": \"\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"status": "PENDING"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Bad Token",
"attributes": {}
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Payment Required",
"attributes": {}
}{
"statusCode": 403,
"error": "Forbidden",
"message": "Forbidden",
"errorCode": "ERR_ACCOUNT_NOT_ACCESSIBLE"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Not Found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Too Many Requests",
"attributes": {}
}Authorizations
The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure!
Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID.
For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"
Headers
Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general
Body
application/json
Was this page helpful?